Bug 20114 - paramaters for ln in --help mode are misleading
Summary: paramaters for ln in --help mode are misleading
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: fileutils (Show other bugs)
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
low
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-31 18:12 UTC by Dan Egli
Modified: 2007-03-27 03:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-31 18:12:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dan Egli 2000-10-31 18:12:05 UTC
the help for ln reads:
Usage: ln [OPTION]... TARGET [LINK_NAME]
  or:  ln [OPTION]... TARGET... DIRECTORY
  or:  ln [OPTION]... --target-directory=DIRECTORY TARGET...

but if someone only reads that much, they can easily get the paramaters 
backwards when creating links. Especially symlinks. To one like me, the 
above indicates that you would type this to link dir1 to link1 (link1 is a 
symlink): ln -s link1 dir1.

Recomendation: replace DIRECTORY with TARGET_DIRECTORY or something to 
help prevent confusion in the future.

Comment 1 Bernhard Rosenkraenzer 2000-11-01 18:48:53 UTC
Please discuss this change with bug-fileutils@gnu.org rather than Red Hat - we don't want to change the --help texts in packaging (it would probably lead to odd bug reports sent to the maintainers).



Note You need to log in before you can comment on or make changes to this bug.